<html version="2.0">
<head>
<title>MPI Job Queue</title>
</head>
<body>
<center>
<h1>LDAS MPI Job Queue</h1>
</center>
<br><br>
<p>This page shows list of jobs queued in mpiAPI. 
<h2>LDAS MPI Job Control</h2><p>
This page displays a list of jobs currently in the mpiAPI job queue.  
<ol>
	<li>Hit 'Get MPI Jobs' button to get a list of jobs currently in the mpi API
	job queue. Initially this is the only button enabled.</li>

Response: <p>
Each job is displayed a line item on the list of jobs, showing the 
Jobid, number of nodes used, job priority and start gps time. The wrapper command
for a selected job is displayed to the right side.<p>
<img src='cmonClient-mpiJobs.gif' width="800" height="600"><p><p>

<p><p>
After jobs have been displayed, the following functions are available:<p>
	<li>To abort a job, check the <font color='red'><b>Abort</b></font> button for the job. 
		The color of job Id turns <font color='red'>red</font> to indicate it 
		has been selected for abort. </li><p>
	<li>To change priority for a job, check <font color='purple'><b>Chg Pri</b></font> 
		button for the job. When the priority dialog
		pops up, enter the new priority for the job. The color of job Id turns <font color='purple'>
		purple</font> to indicate it has been marked for a new priority. </li><p>
	<li>To undo changes to a job, check the <b>Undo</b> button for the job. The color of job Id turns back <
		<font color='black'>black</font> to indicate no change has been made. </li><p>
	<li>To view job details, select a job from the list by clicking it; the job details such
	as search user, active nodes and the wrapper command issused are 
	displayed to the window on the right. This action also sets up Log filter Page 1 for getting logs for the
		selected job. For details on log filtering, see <a href='cmonClient-logs.html'>Log Filtering</a></li><p>
	<li>To view the MPI logs <b>"Get mpiAPI logs"</b> button. The MPI logs for the job are displayed
	in a new window. </li><p>
	<li>To select all jobs for abort, select <b>Abort all</b> button. </li><p>
	<li>To undo changes to all jobs, select <b>Undo all changes</b> button. </li><p>
	<li>Hit <b>SUBMIT</b> button to submit request to server for changes to take effect.
		You must be an authorized user to be able to make MPI job changes.</li><p>
</ol>
<p>
</body>
</html>
